spring:
  application:
    name: catalog
  zipkin:
    base-url: https://training-zipkin-013.herokuapp.com
  sleuth:
    sampler:
      percentage: 1.0
  jpa:
    hibernate:
      ddl-auto: validate
  cloud:
    config:
      discovery:
        enabled: true
        service-id: configservice
      fail-fast: true

---
spring:
  profiles: heroku
eureka:
  instance:
    hostname: training-catalog-013.herokuapp.com
  client:
      serviceUrl:
        defaultZone: https://training-discovery-013.herokuapp.com/eureka/,https://training-discovery-014.herokuapp.com/eureka/
 
 #defaultZone: https://${EUREKA_USERNAME}:${EUREKA_PASSWORD}@training-discovery-001.herokuapp.com/eureka/,https://eurekaclient:NnLckieYoYj2TnbLa9U33qhW@training-discovery-001.herokuapp.com/eureka/      
 # heroku config:set EUREKA_USERNAME=eurekaclient EUREKA_PASSWORD=NnLckieYoYj2TnbLa9U33qhW